> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/finpay-pg/core-api/virtual-account/close-payment/initiate-virtual-account.md).

# Initiate Virtual Account

Virtual Account is a product that allows users to make financial transaction easier and more efficient without the need to input your bank account number and other personal information when you want to make payment. This payment method is widely used in online buying and selling bussiness and the purpose is for payment transaction. With a quick look, it is looks like bank transfer , but those two payment method are quite different. In some bank, they allow to use virtual account in standard bank transfer and can be process not only for on us transaction in the same institution (bank) but also can be done from off us transaction. Other bank may implement different flow where virtual account can be process within on us transaction only.

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL                                                  |
| ----------- | ------ | ---------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/initiate> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/initiate> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name          | Type                                                      | Mandatory | Min Length | Max Length | Description             |
| -- | ------------- | --------------------------------------------------------- | --------- | ---------- | ---------- | ----------------------- |
| 1  | order         | [Object](/appendix/json-object/order-object.md)           | M         | 1          | 12         | Detail of Order         |
| 2  | customer      | [Object](/appendix/json-object/customer-object.md)        | M         | 1          | 8          | Detail of Customer      |
| 3  | url           | [Object](/appendix/json-object/url-object.md)             | M         | 1          | 4          | Detail of Url           |
| 4  | billing       | [Object](/appendix/json-object/billing-object.md)         | O         | 1          | 1          | Detail of Billing       |
| 5  | shipping      | [Object](/appendix/json-object/shipping-object.md)        | O         | 1          | 4          | Detail of Shipping      |
| 6  | meta          | [Object](/appendix/json-object/meta-object.md)            | O         | 1          | 1          | Detail of MetaData      |
| 7  | card          | [Object](/appendix/json-object/card-object.md)            | O         | 1          | 7          | Detail of Card          |
| 8  | recurring     | [Object](/appendix/json-object/recurring-object.md)       | O         | 1          | 11         | Detail of Recurring     |
| 9  | sourceOfFunds | [Object](/appendix/json-object/source-of-funds-object.md) | M         | 1          | 11         | Detail of SourceOfFunds |
| 10 | device        | [Object](/appendix/json-object/device-object.md)          | O         | 1          | 7          | Detail of Device        |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
  "customer": {
    "email": "hajar.finnet@gmail.com",
    "firstName": "Hajar",
    "lastName": "Ismail",
    "mobilePhone": "+6281286288844"
  },
  "order": {
    "id": "1680576995412",
    "amount": "1000",
    "description": "Testing"
  },
  "url": {
    "callbackUrl": "https://sandbox.finpay.co.id/simdev/finpay/result/resultfailed.php"
  },
  "sourceOfFunds": {
    "type": "vamandiri"
  }
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name            | Type                                                | Mandatory | Min Length | Max Length | Description      |
| -- | --------------- | --------------------------------------------------- | --------- | ---------- | ---------- | ---------------- |
| 1  | responseCode    | [Enum](/appendix/enumeration/response-code-list.md) | M         | 1          | 7          | Response Code    |
| 2  | responseMessage | String                                              | M         | 1          | 500        | Response Message |
| 3  | paymentCode     | String                                              | M         | 1          | 30         | Payment Code     |
| 4  | redirecturl     | String                                              | M         | 1          | 320        | Redirect URL     |
| 5  | expiryLink      | String                                              | M         | 1          | 19         | Expiry Link      |
| 6  | processingTime  | Number                                              | M         | 1          | 20         | Processing Time  |
| 7  | appurl          | String                                              | O         | 1          | 320        | App URL          |
| 8  | imageurl        | String                                              | O         | 1          | 320        | Image URL        |
| 9  | accountList     | Array                                               | O         | 1          | 4          | Account List     |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
  "responseCode": "2000000",
  "responseMessage": "Success",
  "redirecturl": "https://devo.finpay.id/widgetpg/pending/5613",
  "expiryLink": "2023-04-05 09:56:35",
  "paymentCode": "8802700000076850",
  "processingTime": 0.9721949100494385
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/finpay-pg/core-api/virtual-account/close-payment/initiate-virtual-account.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
